Name:     opentracker-ipv6
Version:  0.0.1
Release:  %{?dist}
Summary:  OpenTracker With IPV6 Support
Epoch:    7
Packager: Eliezer Croitoru <eliezer@ngtech.co.il>
Vendor:   NgTech Ltd
License:  3 Clause BSD
Group:    System Environment/Daemons
URL:      https://github.com/OscarReyesLeon/OpenTrackerIPv6
Source0:  opentracker-ipv6.service
Source1:  opentracker-ipv6
Source2:  opentracker-ipv6.sysconfig
Source3:  opentracker-ipv6.conf

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(preun):  systemd
Requires(postun): systemd
Requires: systemd-units
Requires: zlib
# Required to allow debug package auto creation
BuildRequires:  redhat-rpm-config
BuildRequires:  systemd-units
BuildRequires:  cvs
BuildRequires:  git
BuildRequires:  zlib-static
BuildRequires:  glibc-static
BuildRequires:  libstdc++-static

# Required to validate auto requires AutoReqProv: no
## aaaAutoReqProv: no

%description
OpenTracker the opensource and public tracker with IPV6 support by:
https://github.com/OscarReyesLeon/OpenTrackerIPv6
Also take a look at:
https://www.youtube.com/watch?v=DUNvZ4DMGdA&feature=youtu.be

%prep

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
mkdir -p ${RPM_BUILD_ROOT}%{_unitdir}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
install -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}%{_unitdir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/opentracker-ipv6
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/opentracker-ipv6
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/opentracker-ipv6.conf


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%attr(755,root,root) %dir %{_sysconfdir}
%attr(755,root,root) %dir %{_sysconfdir}/sysconfig
%config(noreplace) %{_sysconfdir}/sysconfig/opentracker-ipv6
%config(noreplace) %{_sysconfdir}/opentracker-ipv6.conf
%attr(755,root,root) %{_bindir}/opentracker-ipv6

%{_unitdir}/opentracker-ipv6.service

%post
%systemd_post opentracker-ipv6.service

%preun
%systemd_preun opentracker-ipv6.service

%postun
%systemd_postun_with_restart opentracker-ipv6.service

%changelog
* Sat Jun 10 2017 Eliezer Croitoru <eliezer@ngtech.co.il>
- Release 0.0.1 Testing.
